A Swiss Army Knife to init project/create files/lint/build/test/publish
=================================

With websak, there is no need to **manually** install a long list devDependencies in your package, 
such as eslint and shared config, babel family, mocha family etc. 
All you need is just install `websak` and use it to:
* Init a project with the boilerplate
* Create README.md, .npmignore, .gitignore, LICENSE files
* Build you es6 scripts to es5-compatible
* Test your code with es6 support
* Publish

## Installation
Always install the cli globally, and should used only with `npm >= 3`. 

`npm i websak-cli -g`

## Usage

### Init a project
You should init a project first, to make the project websak-compatible.
Use `websak init -b <boilerplate>`.
Currently the boilerplate option only support `node`(which is just a simple project).

### In a project
After init a websak-compatible project, run `websak <command>` in your project root directory, 
and fly with the help!

Common commands:
* websak create
* websak build
* websak test
* websak publish

## License

Licensed under MIT

Copyright (c) 2016 [kiliwalk](https://github.com/kiliwalk)

